export interface useAutoplayErrorResult {
    error: string;
    /**
     * call this method on a UI element click to unblock the blocked audio autoplay.
     */
    unblockAudio: () => Promise<void>;
    /**
     * Call this method to reset(hide) the UI that is rendered when there was an error
     */
    resetError: () => void;
}
/**
 * Use this hook to show a UI(modal or a toast) when autoplay is blocked by browser and allow the user to
 * unblock the browser autoplay block
 * @returns {useAutoplayErrorResult}
 */
export declare const useAutoplayError: () => useAutoplayErrorResult;
