import { HMSPeer, HMSPeerListIteratorOptions } from '@100mslive/hms-video-store';
export interface usePaginatedParticipantsResult {
    /**
     * call this function to load initial peers and also when you want to poll the peers information
     */
    loadPeers: Promise<void>;
    /**
     * this function is to be called when loadPeers is called at least once. This will fetch the next batch of peers
     */
    loadMorePeers: Promise<void>;
    hasNext: () => boolean;
    peers: HMSPeer[];
    total: number;
}
export type usePaginatedParticipantsInput = HMSPeerListIteratorOptions;
export declare const usePaginatedParticipants: (options: HMSPeerListIteratorOptions) => {
    loadPeers: () => Promise<void>;
    loadMorePeers: () => Promise<void>;
    hasNext: () => boolean;
    total: number;
    peers: HMSPeer[];
};
