import { hooksErrHandler } from './types';
export interface HMSTranscript {
    start: number;
    end: number;
    peer_id: string;
    final: boolean;
    transcript: string;
}
export interface useHMSTranscriptInput {
    onTranscript?: (data: HMSTranscript[]) => void;
    handleError?: hooksErrHandler;
}
/**
 * A generic function to implement [custom events](https://www.100ms.live/docs/javascript/v2/features/chat#custom-events) in your UI.
 * The data to be sent to remote is expected to be a serializable JSON. The serialization
 * and deserialization is taken care of by the hook.
 */
export declare const useTranscript: ({ onTranscript, handleError }: useHMSTranscriptInput) => void;
