import React from 'react';
import { HMSTrackID } from '@100mslive/hms-video-store';
export interface useVideoInput {
    /**
     * TrackId that is to be rendered
     */
    trackId?: HMSTrackID;
    /**
     * Boolean stating whether to override the internal behaviour.
     * when attach is false, even if tile is inView or enabled, it won't be rendered
     */
    attach?: boolean;
}
export interface useVideoOutput {
    videoRef: React.RefCallback<HTMLVideoElement>;
}
/**
 * This hooks can be used to implement a video tile component. Given a track id it will return a ref.
 * The returned ref can be used to set on a video element meant to display the video.
 * The hook will take care of attaching and detaching video, and will automatically detach when the video
 * goes out of view to save on bandwidth.
 */
export declare const useVideo: ({ trackId, attach }: useVideoInput) => useVideoOutput;
